<?php

namespace NoccyLabs\UPnP\DCP;

use NoccyLabs\UPnP\DCP\AbstractService;
use NoccyLabs\UPnP\SSDP\Device;
use NoccyLabs\UPnP\SSDP\Service;

abstract class AbstractService
{
    /** @var Service The service this DCP operates on */
    protected $service;
    /** @var Device The device this DCP operates on */
    protected $device;

    /**
     *
     *
     * @param Device $device The device for the DCP
     * @param Service $service The service for the DCP
     */
    public function __construct(Device $device, Service $service)
    {
        $this->device = $device;
        $this->service = $service;
    }

    private function readScpdServiceDefinition($url)
    {}

    /**
     * Get the schema to pass as the XML namespace when sending the SOAP request
     * to the device.
     *
     * @return string The schema
     */
    abstract protected function getSchemaUrn();
}